<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"

    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="viewModal"
            type="com.siwei.recyclebox.ui.main.MainViewModel"/>
    </data>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <!--<TextView
                android:id="@+id/textView"
                android:layout_width="0dp"
                android:layout_height="11dp"
                android:text=""
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintHorizontal_bias="0.283"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.022" />-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">


                <LinearLayout
                    android:layout_width="120dp"
                    android:layout_height="match_parent">
                    <Button
                        android:layout_width="120dp"
                        android:layout_height="96dp"
                        android:onClick="@{viewModal.btnQeryIMEI}"
                        android:text="查询IMEI:**"
                        android:textSize="24sp" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="77dp"
                        android:layout_marginStart="1dp"
                        android:layout_marginTop="1dp"
                        android:layout_marginEnd="2dp"
                        android:text="@={viewModal.textIMEI}"
                        android:textSize="30dp" />
                </LinearLayout>

            </LinearLayout>
            <LinearLayout
                android:id="@+id/linearLayout"
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">


                <LinearLayout
                    android:layout_width="120dp"
                    android:layout_height="match_parent">
                <Button
                    android:layout_width="120dp"
                    android:layout_height="96dp"
                    android:onClick="@{viewModal.btnClickReport}"
                    android:text="数据上报1.0"
                    android:textSize="24sp" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="77dp"
                    android:layout_marginStart="1dp"
                    android:layout_marginTop="1dp"
                    android:layout_marginEnd="2dp"
                    android:text="@={viewModal.textReportData}"
                    android:textSize="30dp" />
                </LinearLayout>

            </LinearLayout>



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="120dp"
                android:padding="16dp">
                <Button
                    android:layout_width="161dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickPullRod}"
                    android:text="开门"
                    android:textSize="24sp"
                    />
                <Button
                    android:layout_width="154dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickPushRod}"
                    android:text="关门"
                    android:textSize="24sp"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="开锁 3秒后 关锁"
                            android:textSize="24sp"
                            />
                        <Button
                            android:layout_width="150dp"
                            android:layout_height="100dp"
                            android:onClick="@{viewModal.btnClickOpenLock}"
                            android:text="开锁"
                            android:textSize="24sp"
                             />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">
                <LinearLayout
                    android:layout_width="130dp"
                    android:layout_height="100dp">
                <Button
                    android:layout_width="130dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickreadWeight}"
                    android:text="称重"
                    android:textSize="24sp"
                />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="100dp"
                    android:text="@={viewModal.textReadWeightData}"
                    android:textSize="42sp"
                    />
                </LinearLayout>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClicksetScale}"
                    android:text="设置分度值"
                    android:textSize="24sp"
                    />
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickclearWeight}"
                    android:text="称重清零去皮"
                    android:textSize="24sp"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp"
                >
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickzeroCalibration}"
                    android:text="零度校准"
                    android:textSize="24sp"
                    />

                <Button
                    android:id="@+id/button"
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickweightCalibration}"
                    android:text="砝码校准"
                    android:textSize="24sp"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">
            <Button
                android:layout_width="150dp"
                android:layout_height="100dp"
                android:onClick="@{viewModal.btnClickRodRepeat}"
                android:text="连续伸缩杆"
                android:textSize="24sp"
                 />
                <Button
                    android:id="@+id/button2"
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickLockRepeat}"
                    android:text="连续开锁"
                    android:textSize="24sp"
                    />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="130dp">
            <Button
                android:layout_width="150dp"
                android:layout_height="100dp"
                android:onClick="@{viewModal.btnClickqueryCurrent}"
                android:text="电流过大查询"
                android:textSize="24sp"
                />
            </LinearLayout>
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="130dp"
                    >
                <TextView
                    android:layout_width="50dp"
                    android:layout_height="100dp"
                    android:text="@={viewModal.textqueryCurrentData}"
                    android:textSize="24sp"
                    />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="130dp">
            <Button
                android:layout_width="150dp"
                android:layout_height="100dp"
                android:onClick="@{viewModal.btnClickclearCurrent}"
                android:text="清除"
                android:textSize="24sp"
                 />
                </LinearLayout>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp"
                >
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickSpeech}"
                    android:text="播放语音"
                    android:textSize="24sp"
                    />
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickOpenLight1234}"
                    android:text="开灯1234"
                    android:textSize="24sp"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp"
                >
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickSendMsg}"
                    android:text="事件测试"
                    android:textSize="24sp"
                    />
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickGetDeviceValue}"
                    android:text="获取属性"
                    android:textSize="24sp"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp"
                >
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickOpenLight1}"
                    android:text="开灯1"
                    android:textSize="24sp"
                    />
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickOpenLight2}"
                    android:text="开灯2"
                    android:textSize="24sp"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp"
                >
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickOpenLight3}"
                    android:text="开灯3"
                    android:textSize="24sp"
                    />
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickOpenLight4}"
                    android:text="开灯4"
                    android:textSize="24sp"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">

                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickrestartApp}"
                    android:text="重启"
                    android:textSize="24sp"
                    />
                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickfinishApp}"
                    android:text="关闭"
                    android:textSize="24sp"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp">

                <Button
                    android:layout_width="150dp"
                    android:layout_height="100dp"
                    android:onClick="@{viewModal.btnClickrestartAndroid}"
                    android:text="重启系统"
                    android:textSize="24sp"
                    />

            </LinearLayout>

        </LinearLayout>
    </ScrollView>

</layout>